API endpoint
https://seo.thesaanwariyas.com/api/v1/websites
Request example
curl --location --request GET 'https://seo.thesaanwariyas.com/api/v1/websites' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
Parameters
search
search_by
domain for Domain. Defaults to: domain.
sort_by
id for Date created, domain for Domain, reports_avg_score for Score, reports_count for Reports. Defaults to: id.
sort
desc for Descending, asc for Ascending. Defaults to: desc.
per_page
10, 25, 50, 100. Defaults to: 10.
API endpoint
https://seo.thesaanwariyas.com/api/v1/websites/{id}
Request example
curl --location --request GET 'https://seo.thesaanwariyas.com/api/v1/websites/{id}' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer {api_key}'
API endpoint
https://seo.thesaanwariyas.com/api/v1/websites/{id}
Request example
curl --location --request PUT 'https://seo.thesaanwariyas.com/api/v1/websites/{id}' \ --header 'Content-Type: application/x-www-form-urlencoded' \ --header 'Authorization: Bearer {api_key}'
Parameters
privacy
0 for Public, 1 for Private, 2 for Password.
password
privacy field set to 2.
API endpoint
https://seo.thesaanwariyas.com/api/v1/websites/{id}
Request example
curl --location --request DELETE 'https://seo.thesaanwariyas.com/api/v1/websites/{id}' \ --header 'Authorization: Bearer {api_key}'